ViewVC Help
View File | Revision Log | Show Annotations | View Changeset | Root Listing
root/group/trunk/OOPSE-3.0/configure
(Generate patch)

Comparing trunk/OOPSE-3.0/configure (file contents):
Revision 1579 by chuckv, Fri Oct 15 19:38:12 2004 UTC vs.
Revision 2081 by gezelter, Fri Mar 4 15:29:03 2005 UTC

# Line 312 | Line 312 | ac_subst_vars='SHELL PATH_SEPARATOR PACKAGE_NAME PACKA
312   # include <unistd.h>
313   #endif"
314  
315 < ac_subst_vars='SHELL PATH_SEPARATOR PACKAGE_NAME PACKAGE_TARNAME PACKAGE_VERSION PACKAGE_STRING PACKAGE_BUGREPORT exec_prefix prefix program_transform_name bindir sbindir libexecdir datadir sysconfdir sharedstatedir localstatedir libdir includedir oldincludedir infodir mandir build_alias host_alias target_alias DEFS ECHO_C ECHO_N ECHO_T LIBS PROGNAME debug build build_cpu build_vendor build_os host host_cpu host_vendor host_os CC CFLAGS LDFLAGS CPPFLAGS ac_ct_CC EXEEXT OBJEXT CXX CXXFLAGS ac_ct_CXX OOPSE_TEMPLATE_FLAGS EXTRA_CC_FLAG F90 F90FLAGS ac_ct_F90 PREPFLAG PREPDEFFLAG F90LIBS F90_FUNC F90_FUNC_ MOD F90_WORK_FILES_ARG MODDIRFLAG F90MODINCSPEC F90_MODULE_NAMES CPP EGREP LIBOBJS INSTALL_PROGRAM INSTALL_SCRIPT INSTALL_DATA LN_S SET_MAKE RANLIB ac_ct_RANLIB YACC LEX LEXLIB LEX_OUTPUT_ROOT AR MPI_LIB_DIR MPI_INC_DIR MPI_F90_INC MPI_LIB MPI_F90_LIB USE_MPI SPRNG_LIB_DIR SPRNG_INC_DIR SPRNG_LIB USE_SPRNG MKL_LIBDIR MKL_LIB MKL_INC HAVE_MKL DOXYGEN DOT DOC enable_dot enable_html_docs enable_latex_docs BATEXT MKINSTALLDIRS OOPSE OOPSE_HOME SUBDIRS FFLAGS LTLIBOBJS'
315 > ac_subst_vars='SHELL PATH_SEPARATOR PACKAGE_NAME PACKAGE_TARNAME PACKAGE_VERSION PACKAGE_STRING PACKAGE_BUGREPORT exec_prefix prefix program_transform_name bindir sbindir libexecdir datadir sysconfdir sharedstatedir localstatedir libdir includedir oldincludedir infodir mandir build_alias host_alias target_alias DEFS ECHO_C ECHO_N ECHO_T LIBS PROGNAME debug build build_cpu build_vendor build_os host host_cpu host_vendor host_os CC CFLAGS LDFLAGS CPPFLAGS ac_ct_CC EXEEXT OBJEXT CXX CXXFLAGS ac_ct_CXX OOPSE_TEMPLATE_FLAGS EXTRA_CC_FLAG F90 F90FLAGS ac_ct_F90 PREPFLAG PREPDEFFLAG F90LIBS F90_FUNC F90_FUNC_ MOD F90_WORK_FILES_ARG MODDIRFLAG F90MODINCSPEC F90_MODULE_NAMES CPP EGREP LIBOBJS INSTALL_PROGRAM INSTALL_SCRIPT INSTALL_DATA LN_S SET_MAKE RANLIB ac_ct_RANLIB YACC LEX LEXLIB LEX_OUTPUT_ROOT AR PS MPI_LIB_DIR MPI_INC_DIR MPI_F90_INC MPI_LIB MPI_F90_LIB USE_MPI DOXYGEN DOT DOC enable_dot enable_html_docs enable_latex_docs BATEXT MKINSTALLDIRS OOPSE OOPSE_HOME SUBDIRS FFLAGS LTLIBOBJS'
316   ac_subst_files=''
317  
318   # Initialize some variables set by options.
# Line 876 | Line 876 | Optional Packages:
876    --with-PACKAGE[=ARG]    use PACKAGE [ARG=yes]
877    --without-PACKAGE       do not use PACKAGE (same as --with-PACKAGE=no)
878    --with-mpi=<prefix>     compile with MPI installed in <prefix> [default=no]
879  --with-sprng=<prefix>   compile with SPRNG installed in <prefix>
880                          [default=/usr/local]
881  --with-mkl              Do we want MKL will check /usr/local/intel/mkl61 /opt/intel/mkl61
879  
880   Some influential environment variables:
881    CC          C compiler command
# Line 3542 | Line 3539 | F90FLAGS="$F90FLAGS $ac_verb"
3539   ac_save_F90FLAGS=$F90FLAGS
3540   F90FLAGS="$F90FLAGS $ac_verb"
3541  
3542 < (eval echo $as_me:3545: \"$ac_link\") >&5
3542 > (eval echo $as_me:3542: \"$ac_link\") >&5
3543   ac_f90_v_output=`eval $ac_link 5>&1 2>&1 | grep -v 'Driving:'`
3544   echo "$ac_f90_v_output" >&5
3545   F90FLAGS=$ac_save_F90FLAGS
# Line 3619 | Line 3616 | F90FLAGS="$F90FLAGS $ac_cv_prog_f90_v"
3616   ac_save_F90FLAGS=$F90FLAGS
3617   F90FLAGS="$F90FLAGS $ac_cv_prog_f90_v"
3618  
3619 < (eval echo $as_me:3622: \"$ac_link\") >&5
3619 > (eval echo $as_me:3619: \"$ac_link\") >&5
3620   ac_f90_v_output=`eval $ac_link 5>&1 2>&1 | grep -v 'Driving:'`
3621   echo "$ac_f90_v_output" >&5
3622   F90FLAGS=$ac_save_F90FLAGS
# Line 4930 | Line 4927 | fi
4927   sed 's/^/| /' conftest.$ac_ext >&5
4928  
4929   eval "$as_ac_Header=no"
4930 + fi
4931 + rm -f conftest.err conftest.$ac_objext conftest.$ac_ext
4932 + fi
4933 + echo "$as_me:$LINENO: result: `eval echo '${'$as_ac_Header'}'`" >&5
4934 + echo "${ECHO_T}`eval echo '${'$as_ac_Header'}'`" >&6
4935 + if test `eval echo '${'$as_ac_Header'}'` = yes; then
4936 +  cat >>confdefs.h <<_ACEOF
4937 + #define `echo "HAVE_$ac_header" | $as_tr_cpp` 1
4938 + _ACEOF
4939 +
4940 + fi
4941 +
4942 + done
4943 +
4944 +
4945 +
4946 +
4947 +
4948 +
4949 +
4950 +
4951 +
4952 +
4953 +
4954 + for ac_header in unistd.h sys/pstat.h sys/sysmp.h sys/sysinfo.h sys/table.h sys/param.h sys/sysctl.h sys/sytemcfg.h machine/hal_sysinfo.h
4955 + do
4956 + as_ac_Header=`echo "ac_cv_header_$ac_header" | $as_tr_sh`
4957 + if eval "test \"\${$as_ac_Header+set}\" = set"; then
4958 +  echo "$as_me:$LINENO: checking for $ac_header" >&5
4959 + echo $ECHO_N "checking for $ac_header... $ECHO_C" >&6
4960 + if eval "test \"\${$as_ac_Header+set}\" = set"; then
4961 +  echo $ECHO_N "(cached) $ECHO_C" >&6
4962 + fi
4963 + echo "$as_me:$LINENO: result: `eval echo '${'$as_ac_Header'}'`" >&5
4964 + echo "${ECHO_T}`eval echo '${'$as_ac_Header'}'`" >&6
4965 + else
4966 +  # Is the header compilable?
4967 + echo "$as_me:$LINENO: checking $ac_header usability" >&5
4968 + echo $ECHO_N "checking $ac_header usability... $ECHO_C" >&6
4969 + cat >conftest.$ac_ext <<_ACEOF
4970 + /* confdefs.h.  */
4971 + _ACEOF
4972 + cat confdefs.h >>conftest.$ac_ext
4973 + cat >>conftest.$ac_ext <<_ACEOF
4974 + /* end confdefs.h.  */
4975 + $ac_includes_default
4976 + #include <$ac_header>
4977 + _ACEOF
4978 + rm -f conftest.$ac_objext
4979 + if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5
4980 +  (eval $ac_compile) 2>conftest.er1
4981 +  ac_status=$?
4982 +  grep -v '^ *+' conftest.er1 >conftest.err
4983 +  rm -f conftest.er1
4984 +  cat conftest.err >&5
4985 +  echo "$as_me:$LINENO: \$? = $ac_status" >&5
4986 +  (exit $ac_status); } &&
4987 +         { ac_try='test -z "$ac_c_werror_flag"
4988 +                         || test ! -s conftest.err'
4989 +  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
4990 +  (eval $ac_try) 2>&5
4991 +  ac_status=$?
4992 +  echo "$as_me:$LINENO: \$? = $ac_status" >&5
4993 +  (exit $ac_status); }; } &&
4994 +         { ac_try='test -s conftest.$ac_objext'
4995 +  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
4996 +  (eval $ac_try) 2>&5
4997 +  ac_status=$?
4998 +  echo "$as_me:$LINENO: \$? = $ac_status" >&5
4999 +  (exit $ac_status); }; }; then
5000 +  ac_header_compiler=yes
5001 + else
5002 +  echo "$as_me: failed program was:" >&5
5003 + sed 's/^/| /' conftest.$ac_ext >&5
5004 +
5005 + ac_header_compiler=no
5006   fi
5007   rm -f conftest.err conftest.$ac_objext conftest.$ac_ext
5008 + echo "$as_me:$LINENO: result: $ac_header_compiler" >&5
5009 + echo "${ECHO_T}$ac_header_compiler" >&6
5010 +
5011 + # Is the header present?
5012 + echo "$as_me:$LINENO: checking $ac_header presence" >&5
5013 + echo $ECHO_N "checking $ac_header presence... $ECHO_C" >&6
5014 + cat >conftest.$ac_ext <<_ACEOF
5015 + /* confdefs.h.  */
5016 + _ACEOF
5017 + cat confdefs.h >>conftest.$ac_ext
5018 + cat >>conftest.$ac_ext <<_ACEOF
5019 + /* end confdefs.h.  */
5020 + #include <$ac_header>
5021 + _ACEOF
5022 + if { (eval echo "$as_me:$LINENO: \"$ac_cpp conftest.$ac_ext\"") >&5
5023 +  (eval $ac_cpp conftest.$ac_ext) 2>conftest.er1
5024 +  ac_status=$?
5025 +  grep -v '^ *+' conftest.er1 >conftest.err
5026 +  rm -f conftest.er1
5027 +  cat conftest.err >&5
5028 +  echo "$as_me:$LINENO: \$? = $ac_status" >&5
5029 +  (exit $ac_status); } >/dev/null; then
5030 +  if test -s conftest.err; then
5031 +    ac_cpp_err=$ac_c_preproc_warn_flag
5032 +    ac_cpp_err=$ac_cpp_err$ac_c_werror_flag
5033 +  else
5034 +    ac_cpp_err=
5035 +  fi
5036 + else
5037 +  ac_cpp_err=yes
5038   fi
5039 + if test -z "$ac_cpp_err"; then
5040 +  ac_header_preproc=yes
5041 + else
5042 +  echo "$as_me: failed program was:" >&5
5043 + sed 's/^/| /' conftest.$ac_ext >&5
5044 +
5045 +  ac_header_preproc=no
5046 + fi
5047 + rm -f conftest.err conftest.$ac_ext
5048 + echo "$as_me:$LINENO: result: $ac_header_preproc" >&5
5049 + echo "${ECHO_T}$ac_header_preproc" >&6
5050 +
5051 + # So?  What about this header?
5052 + case $ac_header_compiler:$ac_header_preproc:$ac_c_preproc_warn_flag in
5053 +  yes:no: )
5054 +    { echo "$as_me:$LINENO: WARNING: $ac_header: accepted by the compiler, rejected by the preprocessor!" >&5
5055 + echo "$as_me: WARNING: $ac_header: accepted by the compiler, rejected by the preprocessor!" >&2;}
5056 +    { echo "$as_me:$LINENO: WARNING: $ac_header: proceeding with the compiler's result" >&5
5057 + echo "$as_me: WARNING: $ac_header: proceeding with the compiler's result" >&2;}
5058 +    ac_header_preproc=yes
5059 +    ;;
5060 +  no:yes:* )
5061 +    { echo "$as_me:$LINENO: WARNING: $ac_header: present but cannot be compiled" >&5
5062 + echo "$as_me: WARNING: $ac_header: present but cannot be compiled" >&2;}
5063 +    { echo "$as_me:$LINENO: WARNING: $ac_header:     check for missing prerequisite headers?" >&5
5064 + echo "$as_me: WARNING: $ac_header:     check for missing prerequisite headers?" >&2;}
5065 +    { echo "$as_me:$LINENO: WARNING: $ac_header: see the Autoconf documentation" >&5
5066 + echo "$as_me: WARNING: $ac_header: see the Autoconf documentation" >&2;}
5067 +    { echo "$as_me:$LINENO: WARNING: $ac_header:     section \"Present But Cannot Be Compiled\"" >&5
5068 + echo "$as_me: WARNING: $ac_header:     section \"Present But Cannot Be Compiled\"" >&2;}
5069 +    { echo "$as_me:$LINENO: WARNING: $ac_header: proceeding with the preprocessor's result" >&5
5070 + echo "$as_me: WARNING: $ac_header: proceeding with the preprocessor's result" >&2;}
5071 +    { echo "$as_me:$LINENO: WARNING: $ac_header: in the future, the compiler will take precedence" >&5
5072 + echo "$as_me: WARNING: $ac_header: in the future, the compiler will take precedence" >&2;}
5073 +    (
5074 +      cat <<\_ASBOX
5075 + ## ------------------------------ ##
5076 + ## Report this to gezelter@nd.edu ##
5077 + ## ------------------------------ ##
5078 + _ASBOX
5079 +    ) |
5080 +      sed "s/^/$as_me: WARNING:     /" >&2
5081 +    ;;
5082 + esac
5083 + echo "$as_me:$LINENO: checking for $ac_header" >&5
5084 + echo $ECHO_N "checking for $ac_header... $ECHO_C" >&6
5085 + if eval "test \"\${$as_ac_Header+set}\" = set"; then
5086 +  echo $ECHO_N "(cached) $ECHO_C" >&6
5087 + else
5088 +  eval "$as_ac_Header=\$ac_header_preproc"
5089 + fi
5090   echo "$as_me:$LINENO: result: `eval echo '${'$as_ac_Header'}'`" >&5
5091   echo "${ECHO_T}`eval echo '${'$as_ac_Header'}'`" >&6
5092 +
5093 + fi
5094   if test `eval echo '${'$as_ac_Header'}'` = yes; then
5095    cat >>confdefs.h <<_ACEOF
5096   #define `echo "HAVE_$ac_header" | $as_tr_cpp` 1
5097 + _ACEOF
5098 +
5099 + fi
5100 +
5101 + done
5102 +
5103 +
5104 +
5105 +
5106 +
5107 +
5108 + for ac_func in pstat_getstatic sysmp getsysinfo sysctl table
5109 + do
5110 + as_ac_var=`echo "ac_cv_func_$ac_func" | $as_tr_sh`
5111 + echo "$as_me:$LINENO: checking for $ac_func" >&5
5112 + echo $ECHO_N "checking for $ac_func... $ECHO_C" >&6
5113 + if eval "test \"\${$as_ac_var+set}\" = set"; then
5114 +  echo $ECHO_N "(cached) $ECHO_C" >&6
5115 + else
5116 +  cat >conftest.$ac_ext <<_ACEOF
5117 + /* confdefs.h.  */
5118 + _ACEOF
5119 + cat confdefs.h >>conftest.$ac_ext
5120 + cat >>conftest.$ac_ext <<_ACEOF
5121 + /* end confdefs.h.  */
5122 + /* Define $ac_func to an innocuous variant, in case <limits.h> declares $ac_func.
5123 +   For example, HP-UX 11i <limits.h> declares gettimeofday.  */
5124 + #define $ac_func innocuous_$ac_func
5125 +
5126 + /* System header to define __stub macros and hopefully few prototypes,
5127 +    which can conflict with char $ac_func (); below.
5128 +    Prefer <limits.h> to <assert.h> if __STDC__ is defined, since
5129 +    <limits.h> exists even on freestanding compilers.  */
5130 +
5131 + #ifdef __STDC__
5132 + # include <limits.h>
5133 + #else
5134 + # include <assert.h>
5135 + #endif
5136 +
5137 + #undef $ac_func
5138 +
5139 + /* Override any gcc2 internal prototype to avoid an error.  */
5140 + #ifdef __cplusplus
5141 + extern "C"
5142 + {
5143 + #endif
5144 + /* We use char because int might match the return type of a gcc2
5145 +   builtin and then its argument prototype would still apply.  */
5146 + char $ac_func ();
5147 + /* The GNU C library defines this for functions which it implements
5148 +    to always fail with ENOSYS.  Some functions are actually named
5149 +    something starting with __ and the normal name is an alias.  */
5150 + #if defined (__stub_$ac_func) || defined (__stub___$ac_func)
5151 + choke me
5152 + #else
5153 + char (*f) () = $ac_func;
5154 + #endif
5155 + #ifdef __cplusplus
5156 + }
5157 + #endif
5158 +
5159 + int
5160 + main ()
5161 + {
5162 + return f != $ac_func;
5163 +  ;
5164 +  return 0;
5165 + }
5166   _ACEOF
5167 + rm -f conftest.$ac_objext conftest$ac_exeext
5168 + if { (eval echo "$as_me:$LINENO: \"$ac_link\"") >&5
5169 +  (eval $ac_link) 2>conftest.er1
5170 +  ac_status=$?
5171 +  grep -v '^ *+' conftest.er1 >conftest.err
5172 +  rm -f conftest.er1
5173 +  cat conftest.err >&5
5174 +  echo "$as_me:$LINENO: \$? = $ac_status" >&5
5175 +  (exit $ac_status); } &&
5176 +         { ac_try='test -z "$ac_c_werror_flag"
5177 +                         || test ! -s conftest.err'
5178 +  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
5179 +  (eval $ac_try) 2>&5
5180 +  ac_status=$?
5181 +  echo "$as_me:$LINENO: \$? = $ac_status" >&5
5182 +  (exit $ac_status); }; } &&
5183 +         { ac_try='test -s conftest$ac_exeext'
5184 +  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
5185 +  (eval $ac_try) 2>&5
5186 +  ac_status=$?
5187 +  echo "$as_me:$LINENO: \$? = $ac_status" >&5
5188 +  (exit $ac_status); }; }; then
5189 +  eval "$as_ac_var=yes"
5190 + else
5191 +  echo "$as_me: failed program was:" >&5
5192 + sed 's/^/| /' conftest.$ac_ext >&5
5193  
5194 + eval "$as_ac_var=no"
5195   fi
5196 + rm -f conftest.err conftest.$ac_objext \
5197 +      conftest$ac_exeext conftest.$ac_ext
5198 + fi
5199 + echo "$as_me:$LINENO: result: `eval echo '${'$as_ac_var'}'`" >&5
5200 + echo "${ECHO_T}`eval echo '${'$as_ac_var'}'`" >&6
5201 + if test `eval echo '${'$as_ac_var'}'` = yes; then
5202 +  cat >>confdefs.h <<_ACEOF
5203 + #define `echo "HAVE_$ac_func" | $as_tr_cpp` 1
5204 + _ACEOF
5205  
5206 + fi
5207   done
5208  
5209 + # special check for _system_configuration because AIX <4.3.2 do not
5210 + # contain the `physmem' member.
5211 + echo "$as_me:$LINENO: checking for external symbol _system_configuration" >&5
5212 + echo $ECHO_N "checking for external symbol _system_configuration... $ECHO_C" >&6
5213 + cat >conftest.$ac_ext <<_ACEOF
5214 + /* confdefs.h.  */
5215 + _ACEOF
5216 + cat confdefs.h >>conftest.$ac_ext
5217 + cat >>conftest.$ac_ext <<_ACEOF
5218 + /* end confdefs.h.  */
5219 + #include <sys/systemcfg.h>
5220 + int
5221 + main ()
5222 + {
5223 + double x = _system_configuration.physmem;
5224 +  ;
5225 +  return 0;
5226 + }
5227 + _ACEOF
5228 + rm -f conftest.$ac_objext
5229 + if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5
5230 +  (eval $ac_compile) 2>conftest.er1
5231 +  ac_status=$?
5232 +  grep -v '^ *+' conftest.er1 >conftest.err
5233 +  rm -f conftest.er1
5234 +  cat conftest.err >&5
5235 +  echo "$as_me:$LINENO: \$? = $ac_status" >&5
5236 +  (exit $ac_status); } &&
5237 +         { ac_try='test -z "$ac_c_werror_flag"
5238 +                         || test ! -s conftest.err'
5239 +  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
5240 +  (eval $ac_try) 2>&5
5241 +  ac_status=$?
5242 +  echo "$as_me:$LINENO: \$? = $ac_status" >&5
5243 +  (exit $ac_status); }; } &&
5244 +         { ac_try='test -s conftest.$ac_objext'
5245 +  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
5246 +  (eval $ac_try) 2>&5
5247 +  ac_status=$?
5248 +  echo "$as_me:$LINENO: \$? = $ac_status" >&5
5249 +  (exit $ac_status); }; }; then
5250 +  echo "$as_me:$LINENO: result: yes" >&5
5251 + echo "${ECHO_T}yes" >&6
5252  
5253 + cat >>confdefs.h <<\_ACEOF
5254 + #define HAVE__SYSTEM_CONFIGURATION 1
5255 + _ACEOF
5256 +
5257 + else
5258 +  echo "$as_me: failed program was:" >&5
5259 + sed 's/^/| /' conftest.$ac_ext >&5
5260 +
5261 + echo "$as_me:$LINENO: result: no" >&5
5262 + echo "${ECHO_T}no" >&6
5263 + fi
5264 + rm -f conftest.err conftest.$ac_objext conftest.$ac_ext
5265 +
5266    # clean out junk possibly left behind by a previous configuration
5267 <  rm -f src/utils/getopt.h
5267 >  rm -f src/getopt.h
5268    # Check for getopt_long support
5269  
5270   for ac_header in getopt.h
# Line 5286 | Line 5604 | esac
5604    *) LIBOBJS="$LIBOBJS getopt1.$ac_objext" ;;
5605   esac
5606  
5607 <                ac_config_links="$ac_config_links src/utils/getopt.h:src/utils/gnugetopt.h"
5607 >                ac_config_links="$ac_config_links src/getopt.h:src/utils/gnugetopt.h"
5608  
5609   fi
5610  
# Line 5831 | Line 6149 | if test "$ac_test_CXXFLAGS" != "set"; then
6149                  echo "*******************************************************"
6150          fi;;
6151     *darwin*)
6152 <        if test "$CXX" = xlc++; then
6152 >        if test "$CXX" = xlc++ -o "$CXX" = xlC ; then
6153                  CXXFLAGS="-qthreaded -O -qtune=auto -qarch=auto -qunroll=auto -qaltivec"
6154          fi;;
6155    esac
# Line 6932 | Line 7250 | fi
7250   fi
7251   rm -f confcache
7252    exit 1
7253 + fi
7254 +
7255 + # Extract the first word of "ps", so it can be a program name with args.
7256 + set dummy ps; ac_word=$2
7257 + echo "$as_me:$LINENO: checking for $ac_word" >&5
7258 + echo $ECHO_N "checking for $ac_word... $ECHO_C" >&6
7259 + if test "${ac_cv_path_PS+set}" = set; then
7260 +  echo $ECHO_N "(cached) $ECHO_C" >&6
7261 + else
7262 +  case $PS in
7263 +  [\\/]* | ?:[\\/]*)
7264 +  ac_cv_path_PS="$PS" # Let the user override the test with a path.
7265 +  ;;
7266 +  *)
7267 +  as_save_IFS=$IFS; IFS=$PATH_SEPARATOR
7268 + for as_dir in $PATH
7269 + do
7270 +  IFS=$as_save_IFS
7271 +  test -z "$as_dir" && as_dir=.
7272 +  for ac_exec_ext in '' $ac_executable_extensions; do
7273 +  if $as_executable_p "$as_dir/$ac_word$ac_exec_ext"; then
7274 +    ac_cv_path_PS="$as_dir/$ac_word$ac_exec_ext"
7275 +    echo "$as_me:$LINENO: found $as_dir/$ac_word$ac_exec_ext" >&5
7276 +    break 2
7277 +  fi
7278 + done
7279 + done
7280 +
7281 +  ;;
7282 + esac
7283   fi
7284 + PS=$ac_cv_path_PS
7285  
7286 + if test -n "$PS"; then
7287 +  echo "$as_me:$LINENO: result: $PS" >&5
7288 + echo "${ECHO_T}$PS" >&6
7289 + else
7290 +  echo "$as_me:$LINENO: result: no" >&5
7291 + echo "${ECHO_T}no" >&6
7292 + fi
7293  
7294 + echo "$as_me:$LINENO: checking for POSIX or BSD ps syntax" >&5
7295 + echo $ECHO_N "checking for POSIX or BSD ps syntax... $ECHO_C" >&6
7296 + if test "${ac_cv_prog_ps_syntax+set}" = set; then
7297 +  echo $ECHO_N "(cached) $ECHO_C" >&6
7298 + else
7299  
7300 +        if $PS ax -o rss > /dev/null 2>&1; then
7301 +                ac_cv_prog_ps_ax=yes
7302 +        else
7303 +                ac_cv_prog_ps_ax=no
7304 +        fi
7305 +        if $PS -ef -o rss > /dev/null 2>&1; then
7306 +                ac_cv_prog_ps_ef=yes
7307 +        else
7308 +                ac_cv_prog_ps_ef=no
7309 +        fi
7310 +        if test "$ac_cv_prog_ps_ax" = yes; then
7311 +                ac_cv_prog_ps_syntax=BSD
7312 +        else
7313 +                if test "$ac_cv_prog_ps_ef" = yes; then
7314 +                        ac_cv_prog_ps_syntax=POSIX
7315 +                else
7316 +                        { { echo "$as_me:$LINENO: error: Could not determine ps syntax" >&5
7317 + echo "$as_me: error: Could not determine ps syntax" >&2;}
7318 +   { (exit 1); exit 1; }; }
7319 +                fi
7320 +        fi
7321 +
7322 + fi
7323 + echo "$as_me:$LINENO: result: $ac_cv_prog_ps_syntax" >&5
7324 + echo "${ECHO_T}$ac_cv_prog_ps_syntax" >&6
7325 +
7326 +
7327 + cat >>confdefs.h <<_ACEOF
7328 + #define PSCOMMAND $PS
7329 + _ACEOF
7330 +
7331 +
7332 + if test "$ac_cv_prog_ps_syntax" = BSD; then
7333 +  cat >>confdefs.h <<\_ACEOF
7334 + #define PSTYPE_IS_BSD 1
7335 + _ACEOF
7336 +
7337 + else
7338 +   if test "$ac_cv_prog_ps_syntax" = POSIX; then
7339 +       cat >>confdefs.h <<\_ACEOF
7340 + #define PSTYPE_IS_POSIX 1
7341 + _ACEOF
7342 +
7343 +   else
7344 +       { { echo "$as_me:$LINENO: error: Unknown ps syntax type!" >&5
7345 + echo "$as_me: error: Unknown ps syntax type!" >&2;}
7346 +   { (exit 1); exit 1; }; }
7347 +   fi
7348 + fi
7349 +
7350 +
7351   # Check whether --with-mpi or --without-mpi was given.
7352   if test "${with_mpi+set}" = set; then
7353    withval="$with_mpi"
# Line 7235 | Line 7647 | fi
7647   fi
7648  
7649   fi
7650 <
7239 < $as_unset ac_cv_lib_mpi_MPI_Init
7650 > $as_unset ac_cv_lib_mpich_MPI_Init
7651   if test x = x"$MPI_LIB"; then
7652 < echo "$as_me:$LINENO: checking for MPI_Init in -lmpi" >&5
7653 < echo $ECHO_N "checking for MPI_Init in -lmpi... $ECHO_C" >&6
7654 < if test "${ac_cv_lib_mpi_MPI_Init+set}" = set; then
7652 >        echo "$as_me:$LINENO: checking for MPI_Init in -lmpich" >&5
7653 > echo $ECHO_N "checking for MPI_Init in -lmpich... $ECHO_C" >&6
7654 > if test "${ac_cv_lib_mpich_MPI_Init+set}" = set; then
7655    echo $ECHO_N "(cached) $ECHO_C" >&6
7656   else
7657    ac_check_lib_save_LIBS=$LIBS
7658 < LIBS="-lmpi -llam -lpthread $LIBS"
7658 > LIBS="-lmpich "-lpmpich" $LIBS"
7659   cat >conftest.$ac_ext <<_ACEOF
7660   /* confdefs.h.  */
7661   _ACEOF
# Line 7289 | Line 7700 | if { (eval echo "$as_me:$LINENO: \"$ac_link\"") >&5
7700    ac_status=$?
7701    echo "$as_me:$LINENO: \$? = $ac_status" >&5
7702    (exit $ac_status); }; }; then
7703 <  ac_cv_lib_mpi_MPI_Init=yes
7703 >  ac_cv_lib_mpich_MPI_Init=yes
7704   else
7705    echo "$as_me: failed program was:" >&5
7706   sed 's/^/| /' conftest.$ac_ext >&5
7707  
7708 < ac_cv_lib_mpi_MPI_Init=no
7708 > ac_cv_lib_mpich_MPI_Init=no
7709   fi
7710   rm -f conftest.err conftest.$ac_objext \
7711        conftest$ac_exeext conftest.$ac_ext
7712   LIBS=$ac_check_lib_save_LIBS
7713   fi
7714 < echo "$as_me:$LINENO: result: $ac_cv_lib_mpi_MPI_Init" >&5
7715 < echo "${ECHO_T}$ac_cv_lib_mpi_MPI_Init" >&6
7716 < if test $ac_cv_lib_mpi_MPI_Init = yes; then
7717 <  MPI_LIB="-lmpi -llam -lpthread"
7307 < else
7308 <
7309 <             { { echo "$as_me:$LINENO: error: Didn't find liblam, libmpi, or libmpich; check path for MPI package first..." >&5
7310 < echo "$as_me: error: Didn't find liblam, libmpi, or libmpich; check path for MPI package first..." >&2;}
7311 <   { (exit 1); exit 1; }; }
7312 <             USE_MPI="no"
7313 <
7714 > echo "$as_me:$LINENO: result: $ac_cv_lib_mpich_MPI_Init" >&5
7715 > echo "${ECHO_T}$ac_cv_lib_mpich_MPI_Init" >&6
7716 > if test $ac_cv_lib_mpich_MPI_Init = yes; then
7717 >  MPI_LIB="-lmpich -lpmpich"
7718   fi
7719  
7720   fi
7721  
7722 <
7723 <
7724 < echo "$as_me:$LINENO: checking for MPI Fortran library" >&5
7725 < echo $ECHO_N "checking for MPI Fortran library... $ECHO_C" >&6
7726 < MPI_F90_LIB=""
7323 < if test -f "$MPI_LIB_DIR/libfmpich.a" ; then
7324 <        MPI_F90_LIB="-lfmpich"
7325 < elif test -f "$MPI_LIB_DIR/liblamf77mpi.a" ; then
7326 <        MPI_F90_LIB="-llamf77mpi"
7327 < else
7328 <                        MPI_F90_LIB="  "
7329 < fi
7330 < echo "$as_me:$LINENO: result: found $MPI_F90_LIB" >&5
7331 < echo "${ECHO_T}found $MPI_F90_LIB" >&6
7332 <
7333 <
7334 < fi
7335 <
7336 <
7337 <
7338 < # Check whether --with-sprng or --without-sprng was given.
7339 < if test "${with_sprng+set}" = set; then
7340 <  withval="$with_sprng"
7341 <  with_sprng=$withval
7342 < else
7343 <  with_sprng="/usr/local"
7344 < fi;
7345 <
7346 < case "x$with_sprng" in
7347 <        xyes | "x")  USE_SPRNG=yes;;
7348 <        xno) USE_SPRNG=no ;;
7349 <        *) SPRNG="$with_sprng"; USE_SPRNG=yes ;;
7350 < esac
7351 < if test "$USE_SPRNG" = "yes" -a -z "$with_sprng"; then
7352 <        SPRNG="/usr/local"
7353 < fi
7354 < if test "$USE_SPRNG" = "yes"; then
7355 <
7356 <
7357 < # Set variables...
7358 < SPRNG_LIB_DIR="$SPRNG/lib"
7359 < SPRNG_INC_DIR="$SPRNG/include"
7360 <
7361 <
7362 <
7363 < echo "$as_me:$LINENO: checking for sprng.h" >&5
7364 < echo $ECHO_N "checking for sprng.h... $ECHO_C" >&6
7365 < have_sprng_h=0
7366 < echo '#include <sprng.h>' > conftest.cc
7367 < if test -z "`${CXX} -I${SPRNG_INC_DIR} -c conftest.cc 2>&1`"; then
7368 <        echo "$as_me:$LINENO: result: yes" >&5
7369 < echo "${ECHO_T}yes" >&6
7370 <        have_sprng_h=1
7371 < else
7372 <        echo "$as_me:$LINENO: result: no! Check SPRNG include path!" >&5
7373 < echo "${ECHO_T}no! Check SPRNG include path!" >&6
7374 <        USE_SPRNG="no"
7375 < fi
7376 < rm -f conftest*
7377 < if test "$have_sprng_h" = 1; then
7378 <
7379 < cat >>confdefs.h <<\_ACEOF
7380 < #define HAVE_SPRNG_H 1
7381 < _ACEOF
7382 <
7383 < fi
7384 <
7385 < ac_ext=c
7386 < ac_cpp='$CPP $CPPFLAGS'
7387 < ac_compile='$CC -c $CFLAGS $CPPFLAGS conftest.$ac_ext >&5'
7388 < ac_link='$CC -o conftest$ac_exeext $CFLAGS $CPPFLAGS $LDFLAGS conftest.$ac_ext $LIBS >&5'
7389 < ac_compiler_gnu=$ac_cv_c_compiler_gnu
7390 <
7391 < ac_save_LDFLAGS=$LDFLAGS
7392 < LDFLAGS="${LDFLAGS} -L${SPRNG_LIB_DIR} "
7393 <
7394 < echo "$as_me:$LINENO: checking for init_rng in -lsprng" >&5
7395 < echo $ECHO_N "checking for init_rng in -lsprng... $ECHO_C" >&6
7396 < if test "${ac_cv_lib_sprng_init_rng+set}" = set; then
7722 > $as_unset ac_cv_lib_mpi_MPI_Init
7723 > if test x = x"$MPI_LIB"; then
7724 > echo "$as_me:$LINENO: checking for MPI_Init in -lmpi" >&5
7725 > echo $ECHO_N "checking for MPI_Init in -lmpi... $ECHO_C" >&6
7726 > if test "${ac_cv_lib_mpi_MPI_Init+set}" = set; then
7727    echo $ECHO_N "(cached) $ECHO_C" >&6
7728   else
7729    ac_check_lib_save_LIBS=$LIBS
7730 < LIBS="-lsprng  $LIBS"
7730 > LIBS="-lmpi -llam -lpthread $LIBS"
7731   cat >conftest.$ac_ext <<_ACEOF
7732   /* confdefs.h.  */
7733   _ACEOF
# Line 7411 | Line 7741 | char init_rng ();
7741   #endif
7742   /* We use char because int might match the return type of a gcc2
7743     builtin and then its argument prototype would still apply.  */
7744 < char init_rng ();
7744 > char MPI_Init ();
7745   int
7746   main ()
7747   {
7748 < init_rng ();
7748 > MPI_Init ();
7749    ;
7750    return 0;
7751   }
# Line 7442 | Line 7772 | if { (eval echo "$as_me:$LINENO: \"$ac_link\"") >&5
7772    ac_status=$?
7773    echo "$as_me:$LINENO: \$? = $ac_status" >&5
7774    (exit $ac_status); }; }; then
7775 <  ac_cv_lib_sprng_init_rng=yes
7775 >  ac_cv_lib_mpi_MPI_Init=yes
7776   else
7777    echo "$as_me: failed program was:" >&5
7778   sed 's/^/| /' conftest.$ac_ext >&5
7779  
7780 < ac_cv_lib_sprng_init_rng=no
7780 > ac_cv_lib_mpi_MPI_Init=no
7781   fi
7782   rm -f conftest.err conftest.$ac_objext \
7783        conftest$ac_exeext conftest.$ac_ext
7784   LIBS=$ac_check_lib_save_LIBS
7785   fi
7786 < echo "$as_me:$LINENO: result: $ac_cv_lib_sprng_init_rng" >&5
7787 < echo "${ECHO_T}$ac_cv_lib_sprng_init_rng" >&6
7788 < if test $ac_cv_lib_sprng_init_rng = yes; then
7789 <  SPRNG_LIB="-lsprng"
7786 > echo "$as_me:$LINENO: result: $ac_cv_lib_mpi_MPI_Init" >&5
7787 > echo "${ECHO_T}$ac_cv_lib_mpi_MPI_Init" >&6
7788 > if test $ac_cv_lib_mpi_MPI_Init = yes; then
7789 >  MPI_LIB="-lmpi -llam -lpthread"
7790   else
7791  
7792 <             { { echo "$as_me:$LINENO: error: Didn't find libsprng; check path for SPRNG package first..." >&5
7793 < echo "$as_me: error: Didn't find libsprng; check path for SPRNG package first..." >&2;}
7792 >             { { echo "$as_me:$LINENO: error: Didn't find liblam, libmpi, or libmpich; check path for MPI package first..." >&5
7793 > echo "$as_me: error: Didn't find liblam, libmpi, or libmpich; check path for MPI package first..." >&2;}
7794     { (exit 1); exit 1; }; }
7795 <             USE_SPRNG="no"
7795 >             USE_MPI="no"
7796  
7797   fi
7798  
7469
7470 if test "$USE_SPRNG" = "no"; then
7471  { { echo "$as_me:$LINENO: error: No working SPRNG library found" >&5
7472 echo "$as_me: error: No working SPRNG library found" >&2;}
7473   { (exit 1); exit 1; }; }
7799   fi
7800  
7801  
7477 fi
7802  
7803 <
7804 <
7805 < echo "$as_me:$LINENO: checking if MKL is wanted" >&5
7806 < echo $ECHO_N "checking if MKL is wanted... $ECHO_C" >&6
7807 <
7808 < # Check whether --with-mkl or --without-mkl was given.
7809 < if test "${with_mkl+set}" = set; then
7486 <  withval="$with_mkl"
7487 <     echo "$as_me:$LINENO: result: yes" >&5
7488 < echo "${ECHO_T}yes" >&6
7489 <    for dir in $withval /usr/local/intel/mkl61 /opt/intel/mkl61; do
7490 <        mkldir="$dir"
7491 <        if test -f "$dir/include/mkl.h"; then
7492 <            found_mkl="yes";
7493 <            break;
7494 <        fi
7495 <    done
7496 <    if test x_$found_mkl != x_yes; then
7497 <        { { echo "$as_me:$LINENO: error: Cannot find MKL includes" >&5
7498 < echo "$as_me: error: Cannot find MKL includes" >&2;}
7499 <   { (exit 1); exit 1; }; }
7500 <    else
7501 <        printf "MKL includes found in $mkldir/include\n";
7502 <    fi
7503 <
7504 <
7505 <
7506 <  ac_ext=c
7507 < ac_cpp='$CPP $CPPFLAGS'
7508 < ac_compile='$CC -c $CFLAGS $CPPFLAGS conftest.$ac_ext >&5'
7509 < ac_link='$CC -o conftest$ac_exeext $CFLAGS $CPPFLAGS $LDFLAGS conftest.$ac_ext $LIBS >&5'
7510 < ac_compiler_gnu=$ac_cv_c_compiler_gnu
7511 <
7512 <  ac_save_CPPFLAGS=$CPPFLAGS
7513 <  CPPFLAGS="${CPPFLAGS} -I${mkldir}/include"
7514 <  ac_save_LDFLAGS=$LDFLAGS
7515 <  LDFLAGS="${LDFLAGS} -L${mkldir}/lib/32 -lmkl -lvml -lguide"
7516 <  if test "${ac_cv_header_mkl_h+set}" = set; then
7517 <  echo "$as_me:$LINENO: checking for mkl.h" >&5
7518 < echo $ECHO_N "checking for mkl.h... $ECHO_C" >&6
7519 < if test "${ac_cv_header_mkl_h+set}" = set; then
7520 <  echo $ECHO_N "(cached) $ECHO_C" >&6
7521 < fi
7522 < echo "$as_me:$LINENO: result: $ac_cv_header_mkl_h" >&5
7523 < echo "${ECHO_T}$ac_cv_header_mkl_h" >&6
7524 < else
7525 <  # Is the header compilable?
7526 < echo "$as_me:$LINENO: checking mkl.h usability" >&5
7527 < echo $ECHO_N "checking mkl.h usability... $ECHO_C" >&6
7528 < cat >conftest.$ac_ext <<_ACEOF
7529 < /* confdefs.h.  */
7530 < _ACEOF
7531 < cat confdefs.h >>conftest.$ac_ext
7532 < cat >>conftest.$ac_ext <<_ACEOF
7533 < /* end confdefs.h.  */
7534 < $ac_includes_default
7535 < #include <mkl.h>
7536 < _ACEOF
7537 < rm -f conftest.$ac_objext
7538 < if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5
7539 <  (eval $ac_compile) 2>conftest.er1
7540 <  ac_status=$?
7541 <  grep -v '^ *+' conftest.er1 >conftest.err
7542 <  rm -f conftest.er1
7543 <  cat conftest.err >&5
7544 <  echo "$as_me:$LINENO: \$? = $ac_status" >&5
7545 <  (exit $ac_status); } &&
7546 <         { ac_try='test -z "$ac_c_werror_flag"
7547 <                         || test ! -s conftest.err'
7548 <  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
7549 <  (eval $ac_try) 2>&5
7550 <  ac_status=$?
7551 <  echo "$as_me:$LINENO: \$? = $ac_status" >&5
7552 <  (exit $ac_status); }; } &&
7553 <         { ac_try='test -s conftest.$ac_objext'
7554 <  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
7555 <  (eval $ac_try) 2>&5
7556 <  ac_status=$?
7557 <  echo "$as_me:$LINENO: \$? = $ac_status" >&5
7558 <  (exit $ac_status); }; }; then
7559 <  ac_header_compiler=yes
7803 > echo "$as_me:$LINENO: checking for MPI Fortran library" >&5
7804 > echo $ECHO_N "checking for MPI Fortran library... $ECHO_C" >&6
7805 > MPI_F90_LIB=""
7806 > if test -f "$MPI_LIB_DIR/libfmpich.a" ; then
7807 >        MPI_F90_LIB="-lfmpich"
7808 > elif test -f "$MPI_LIB_DIR/liblamf77mpi.a" ; then
7809 >        MPI_F90_LIB="-llamf77mpi"
7810   else
7811 <  echo "$as_me: failed program was:" >&5
7562 < sed 's/^/| /' conftest.$ac_ext >&5
7563 <
7564 < ac_header_compiler=no
7811 >                        MPI_F90_LIB="  "
7812   fi
7813 < rm -f conftest.err conftest.$ac_objext conftest.$ac_ext
7814 < echo "$as_me:$LINENO: result: $ac_header_compiler" >&5
7568 < echo "${ECHO_T}$ac_header_compiler" >&6
7569 <
7570 < # Is the header present?
7571 < echo "$as_me:$LINENO: checking mkl.h presence" >&5
7572 < echo $ECHO_N "checking mkl.h presence... $ECHO_C" >&6
7573 < cat >conftest.$ac_ext <<_ACEOF
7574 < /* confdefs.h.  */
7575 < _ACEOF
7576 < cat confdefs.h >>conftest.$ac_ext
7577 < cat >>conftest.$ac_ext <<_ACEOF
7578 < /* end confdefs.h.  */
7579 < #include <mkl.h>
7580 < _ACEOF
7581 < if { (eval echo "$as_me:$LINENO: \"$ac_cpp conftest.$ac_ext\"") >&5
7582 <  (eval $ac_cpp conftest.$ac_ext) 2>conftest.er1
7583 <  ac_status=$?
7584 <  grep -v '^ *+' conftest.er1 >conftest.err
7585 <  rm -f conftest.er1
7586 <  cat conftest.err >&5
7587 <  echo "$as_me:$LINENO: \$? = $ac_status" >&5
7588 <  (exit $ac_status); } >/dev/null; then
7589 <  if test -s conftest.err; then
7590 <    ac_cpp_err=$ac_c_preproc_warn_flag
7591 <    ac_cpp_err=$ac_cpp_err$ac_c_werror_flag
7592 <  else
7593 <    ac_cpp_err=
7594 <  fi
7595 < else
7596 <  ac_cpp_err=yes
7597 < fi
7598 < if test -z "$ac_cpp_err"; then
7599 <  ac_header_preproc=yes
7600 < else
7601 <  echo "$as_me: failed program was:" >&5
7602 < sed 's/^/| /' conftest.$ac_ext >&5
7603 <
7604 <  ac_header_preproc=no
7605 < fi
7606 < rm -f conftest.err conftest.$ac_ext
7607 < echo "$as_me:$LINENO: result: $ac_header_preproc" >&5
7608 < echo "${ECHO_T}$ac_header_preproc" >&6
7609 <
7610 < # So?  What about this header?
7611 < case $ac_header_compiler:$ac_header_preproc:$ac_c_preproc_warn_flag in
7612 <  yes:no: )
7613 <    { echo "$as_me:$LINENO: WARNING: mkl.h: accepted by the compiler, rejected by the preprocessor!" >&5
7614 < echo "$as_me: WARNING: mkl.h: accepted by the compiler, rejected by the preprocessor!" >&2;}
7615 <    { echo "$as_me:$LINENO: WARNING: mkl.h: proceeding with the compiler's result" >&5
7616 < echo "$as_me: WARNING: mkl.h: proceeding with the compiler's result" >&2;}
7617 <    ac_header_preproc=yes
7618 <    ;;
7619 <  no:yes:* )
7620 <    { echo "$as_me:$LINENO: WARNING: mkl.h: present but cannot be compiled" >&5
7621 < echo "$as_me: WARNING: mkl.h: present but cannot be compiled" >&2;}
7622 <    { echo "$as_me:$LINENO: WARNING: mkl.h:     check for missing prerequisite headers?" >&5
7623 < echo "$as_me: WARNING: mkl.h:     check for missing prerequisite headers?" >&2;}
7624 <    { echo "$as_me:$LINENO: WARNING: mkl.h: see the Autoconf documentation" >&5
7625 < echo "$as_me: WARNING: mkl.h: see the Autoconf documentation" >&2;}
7626 <    { echo "$as_me:$LINENO: WARNING: mkl.h:     section \"Present But Cannot Be Compiled\"" >&5
7627 < echo "$as_me: WARNING: mkl.h:     section \"Present But Cannot Be Compiled\"" >&2;}
7628 <    { echo "$as_me:$LINENO: WARNING: mkl.h: proceeding with the preprocessor's result" >&5
7629 < echo "$as_me: WARNING: mkl.h: proceeding with the preprocessor's result" >&2;}
7630 <    { echo "$as_me:$LINENO: WARNING: mkl.h: in the future, the compiler will take precedence" >&5
7631 < echo "$as_me: WARNING: mkl.h: in the future, the compiler will take precedence" >&2;}
7632 <    (
7633 <      cat <<\_ASBOX
7634 < ## ------------------------------ ##
7635 < ## Report this to gezelter@nd.edu ##
7636 < ## ------------------------------ ##
7637 < _ASBOX
7638 <    ) |
7639 <      sed "s/^/$as_me: WARNING:     /" >&2
7640 <    ;;
7641 < esac
7642 < echo "$as_me:$LINENO: checking for mkl.h" >&5
7643 < echo $ECHO_N "checking for mkl.h... $ECHO_C" >&6
7644 < if test "${ac_cv_header_mkl_h+set}" = set; then
7645 <  echo $ECHO_N "(cached) $ECHO_C" >&6
7646 < else
7647 <  ac_cv_header_mkl_h=$ac_header_preproc
7648 < fi
7649 < echo "$as_me:$LINENO: result: $ac_cv_header_mkl_h" >&5
7650 < echo "${ECHO_T}$ac_cv_header_mkl_h" >&6
7651 <
7652 < fi
7653 < if test $ac_cv_header_mkl_h = yes; then
7654 <
7655 <    echo "$as_me:$LINENO: checking for vslNewStream in -lmkl" >&5
7656 < echo $ECHO_N "checking for vslNewStream in -lmkl... $ECHO_C" >&6
7657 < if test "${ac_cv_lib_mkl_vslNewStream+set}" = set; then
7658 <  echo $ECHO_N "(cached) $ECHO_C" >&6
7659 < else
7660 <  ac_check_lib_save_LIBS=$LIBS
7661 < LIBS="-lmkl  $LIBS"
7662 < cat >conftest.$ac_ext <<_ACEOF
7663 < /* confdefs.h.  */
7664 < _ACEOF
7665 < cat confdefs.h >>conftest.$ac_ext
7666 < cat >>conftest.$ac_ext <<_ACEOF
7667 < /* end confdefs.h.  */
7668 <
7669 < /* Override any gcc2 internal prototype to avoid an error.  */
7670 < #ifdef __cplusplus
7671 < extern "C"
7672 < #endif
7673 < /* We use char because int might match the return type of a gcc2
7674 <   builtin and then its argument prototype would still apply.  */
7675 < char vslNewStream ();
7676 < int
7677 < main ()
7678 < {
7679 < vslNewStream ();
7680 <  ;
7681 <  return 0;
7682 < }
7683 < _ACEOF
7684 < rm -f conftest.$ac_objext conftest$ac_exeext
7685 < if { (eval echo "$as_me:$LINENO: \"$ac_link\"") >&5
7686 <  (eval $ac_link) 2>conftest.er1
7687 <  ac_status=$?
7688 <  grep -v '^ *+' conftest.er1 >conftest.err
7689 <  rm -f conftest.er1
7690 <  cat conftest.err >&5
7691 <  echo "$as_me:$LINENO: \$? = $ac_status" >&5
7692 <  (exit $ac_status); } &&
7693 <         { ac_try='test -z "$ac_c_werror_flag"
7694 <                         || test ! -s conftest.err'
7695 <  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
7696 <  (eval $ac_try) 2>&5
7697 <  ac_status=$?
7698 <  echo "$as_me:$LINENO: \$? = $ac_status" >&5
7699 <  (exit $ac_status); }; } &&
7700 <         { ac_try='test -s conftest$ac_exeext'
7701 <  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
7702 <  (eval $ac_try) 2>&5
7703 <  ac_status=$?
7704 <  echo "$as_me:$LINENO: \$? = $ac_status" >&5
7705 <  (exit $ac_status); }; }; then
7706 <  ac_cv_lib_mkl_vslNewStream=yes
7707 < else
7708 <  echo "$as_me: failed program was:" >&5
7709 < sed 's/^/| /' conftest.$ac_ext >&5
7710 <
7711 < ac_cv_lib_mkl_vslNewStream=no
7712 < fi
7713 < rm -f conftest.err conftest.$ac_objext \
7714 <      conftest$ac_exeext conftest.$ac_ext
7715 < LIBS=$ac_check_lib_save_LIBS
7716 < fi
7717 < echo "$as_me:$LINENO: result: $ac_cv_lib_mkl_vslNewStream" >&5
7718 < echo "${ECHO_T}$ac_cv_lib_mkl_vslNewStream" >&6
7719 < if test $ac_cv_lib_mkl_vslNewStream = yes; then
7720 <  MKL_LIBDIR="${mkldir}/lib/32",
7721 <                     MKL_LIB="-lmkl -lvml -lguide",
7722 <                     HAVE_MKL="yes"
7723 < fi
7813 > echo "$as_me:$LINENO: result: found $MPI_F90_LIB" >&5
7814 > echo "${ECHO_T}found $MPI_F90_LIB" >&6
7815  
7816  
7726 else
7727  MKL_INC="-I${mkldir}/include"
7817   fi
7729
7730
7731  CPPFLAGS=$ac_save_CPPFLAGS
7732  LDFLAGS=$ac_save_LDFLAGS
7733  ac_ext=c
7734 ac_cpp='$CPP $CPPFLAGS'
7735 ac_compile='$CC -c $CFLAGS $CPPFLAGS conftest.$ac_ext >&5'
7736 ac_link='$CC -o conftest$ac_exeext $CFLAGS $CPPFLAGS $LDFLAGS conftest.$ac_ext $LIBS >&5'
7737 ac_compiler_gnu=$ac_cv_c_compiler_gnu
7738
7739
7740  if test x_$HAVE_MKL != x_yes; then
7741        { { echo "$as_me:$LINENO: error: Can't build with MKL" >&5
7742 echo "$as_me: error: Can't build with MKL" >&2;}
7743   { (exit 1); exit 1; }; }
7744  fi
7818  
7819  
7820  
7821  
7822  
7750 else
7751
7752    echo "$as_me:$LINENO: result: no" >&5
7753 echo "${ECHO_T}no" >&6
7754
7755 fi;
7756
7757
7758
7823   # Check whether --enable-doxygen or --disable-doxygen was given.
7824   if test "${enable_doxygen+set}" = set; then
7825    enableval="$enable_doxygen"
# Line 7956 | Line 8020 | esac
8020  
8021            ac_config_headers="$ac_config_headers src/config.h"
8022  
8023 <          ac_config_files="$ac_config_files make/Makefile"
8023 >                    ac_config_files="$ac_config_files make/Makefile src/utils/Makefile"
8024  
8025  
8026   cat >confcache <<\_ACEOF
# Line 8488 | Line 8552 | do
8552    case "$ac_config_target" in
8553    # Handling of arguments.
8554    "make/Makefile" ) CONFIG_FILES="$CONFIG_FILES make/Makefile" ;;
8555 <  "src/utils/getopt.h" ) CONFIG_LINKS="$CONFIG_LINKS src/utils/getopt.h:src/utils/gnugetopt.h" ;;
8555 >  "src/utils/Makefile" ) CONFIG_FILES="$CONFIG_FILES src/utils/Makefile" ;;
8556 >  "src/getopt.h" ) CONFIG_LINKS="$CONFIG_LINKS src/getopt.h:src/utils/gnugetopt.h" ;;
8557    "src/config.h" ) CONFIG_HEADERS="$CONFIG_HEADERS src/config.h" ;;
8558    *) { { echo "$as_me:$LINENO: error: invalid argument: $ac_config_target" >&5
8559   echo "$as_me: error: invalid argument: $ac_config_target" >&2;}
# Line 8625 | Line 8690 | s,@MPI_LIB_DIR@,$MPI_LIB_DIR,;t t
8690   s,@LEXLIB@,$LEXLIB,;t t
8691   s,@LEX_OUTPUT_ROOT@,$LEX_OUTPUT_ROOT,;t t
8692   s,@AR@,$AR,;t t
8693 + s,@PS@,$PS,;t t
8694   s,@MPI_LIB_DIR@,$MPI_LIB_DIR,;t t
8695   s,@MPI_INC_DIR@,$MPI_INC_DIR,;t t
8696   s,@MPI_F90_INC@,$MPI_F90_INC,;t t
8697   s,@MPI_LIB@,$MPI_LIB,;t t
8698   s,@MPI_F90_LIB@,$MPI_F90_LIB,;t t
8699   s,@USE_MPI@,$USE_MPI,;t t
8634 s,@SPRNG_LIB_DIR@,$SPRNG_LIB_DIR,;t t
8635 s,@SPRNG_INC_DIR@,$SPRNG_INC_DIR,;t t
8636 s,@SPRNG_LIB@,$SPRNG_LIB,;t t
8637 s,@USE_SPRNG@,$USE_SPRNG,;t t
8638 s,@MKL_LIBDIR@,$MKL_LIBDIR,;t t
8639 s,@MKL_LIB@,$MKL_LIB,;t t
8640 s,@MKL_INC@,$MKL_INC,;t t
8641 s,@HAVE_MKL@,$HAVE_MKL,;t t
8700   s,@DOXYGEN@,$DOXYGEN,;t t
8701   s,@DOT@,$DOT,;t t
8702   s,@DOC@,$DOC,;t t

Diff Legend

Removed lines
+ Added lines
< Changed lines
> Changed lines